var index =
[
    [ "Building OpenMesh", "index.html#iov", null ],
    [ "OpenMesh Python interface", "index.html#python_and_om", null ],
    [ "Compiling OpenMesh", "a04978.html", [
      [ "Tested compilers", "a04978.html#compilers", null ],
      [ "Required libraries (Only for included Apps)", "a04978.html#req_libs", null ],
      [ "Chosing build system", "a04978.html#build_systems", null ],
      [ "Unix", "a04978.html#sec_compiling_unix", [
        [ "Compiling OpenMesh using CMake", "a04978.html#linux_using_cmake", null ]
      ] ],
      [ "Windows", "a04978.html#sec_compiling_windows", [
        [ "Compiling OpenMesh using CMake", "a04978.html#windows_using_cmake", null ]
      ] ],
      [ "MacOS X", "a04978.html#sec_compiling_macosx", [
        [ "Compiling OpenMesh using CMake", "a04978.html#mac_using_cmake", null ]
      ] ]
    ] ],
    [ "Using and understanding OpenMesh", "a04966.html", [
      [ "Features and Goals of OpenMesh", "a04969.html", null ],
      [ "The Halfedge Data Structure", "a04971.html", null ],
      [ "Mesh Iterators and Circulators", "a04976.html", [
        [ "Iterators", "a04976.html#it_iters", [
          [ "Deleted Elements", "a04976.html#deletedElements", null ]
        ] ],
        [ "How to use iterators in OpenMesh", "a04976.html#it_iters_h", null ],
        [ "Skipping Iterators", "a04976.html#it_iters_skipping", null ],
        [ "Circulators", "a04976.html#it_circs", null ],
        [ "How to use circulators in OpenMesh", "a04976.html#it_circs_h", null ]
      ] ],
      [ "How to navigate on a mesh", "a04979.html", [
        [ "Overview", "a04979.html#nav_overview", null ],
        [ "Introduction", "a04979.html#nav_intro", null ],
        [ "Navigating over halfedges", "a04979.html#nav_he", null ],
        [ "Mesh boundaries", "a04979.html#nav_bound", null ],
        [ "Using incoming and outgoing halfedges", "a04979.html#nav_io", null ],
        [ "Using opposite halfedges", "a04979.html#nav_opposite", null ],
        [ "Getting the to and from vertices", "a04979.html#nav_to_from", null ]
      ] ],
      [ "Read and write meshes from files", "a04975.html", [
        [ "Step 1 - IOManager quick start", "a04975.html#mesh_io_quick", null ],
        [ "Step 2 - The theory behind IOManager", "a04975.html#mesh_io_theory", null ],
        [ "Step 3 - How to extend IOManager", "a04975.html#mesh_io_extend", [
          [ "Adding support for a new file format", "a04975.html#mesh_io_extend_fileformat", null ],
          [ "Adding support for a new data structure", "a04975.html#mesh_io_extend_datastruct", null ]
        ] ]
      ] ],
      [ "Some basic operations: Flipping and collapsing edges", "a04980.html", [
        [ "Flipping edges in triangle meshes", "a04980.html#op_flip", null ],
        [ "Collapsing edges", "a04980.html#op_collapse", null ]
      ] ],
      [ "Conceptual Class Hierarchy", "a04972.html", [
        [ "Building the kernel", "a04972.html#ch_kernel", null ],
        [ "Building the mesh", "a04972.html#ch_complete", null ]
      ] ],
      [ "Specifying your MyMesh", "a04973.html", [
        [ "Polygonal or Triangle Mesh?", "a04973.html#sec_select_face_type", null ],
        [ "Choosing the right kernel", "a04973.html#sec_select_kernel", null ],
        [ "Mesh Traits", "a04973.html#sec_select_traits", [
          [ "Changing the Point type", "a04973.html#sec_change_point", null ],
          [ "Adding Predefined Attributes", "a04973.html#sec_add_attributes", null ],
          [ "Adding User-Defined Elements", "a04973.html#sec_add_traits", null ],
          [ "Using traits defined by algorithms", "a04973.html#sec_algo_traits", null ]
        ] ],
        [ "Dynamic Properties", "a04973.html#sec_properties", null ],
        [ "Final Implementation Example", "a04973.html#sec_traits_example", null ]
      ] ]
    ] ],
    [ "OpenMesh Tools Documentation", "a04985.html", [
      [ "Mesh Decimation Framework", "a04965.html", [
        [ "The decimation algorithm", "a04965.html#DecimaterAlg", null ],
        [ "Block vertices from beeing touched by the Decimater", "a04965.html#DecimaterLock", null ],
        [ "Decimating Modules", "a04965.html#DecimaterMod", null ],
        [ "Module Handles", "a04965.html#DecimaterHnd", null ],
        [ "Basic Setup", "a04965.html#DecimaterExa", null ]
      ] ],
      [ "Sudivision Tools", "a04984.html", [
        [ "Overview", "a04984.html#OM_Subdivider_Overview", null ],
        [ "Usage", "a04984.html#OM_Subdivider_Usage", null ]
      ] ],
      [ "View Dependent Progressive Meshes", "a04998.html", null ],
      [ "Smoother Tools", "a04982.html", [
        [ "Overview", "a04982.html#OM_Smoother_Overview", null ],
        [ "Usage", "a04982.html#OM_Smoother_Usage", null ],
        [ "Options", "a04982.html#Options", [
          [ "Continuity", "a04982.html#Continuity", null ],
          [ "Component", "a04982.html#Component", null ],
          [ "Local Error", "a04982.html#localError", null ]
        ] ]
      ] ]
    ] ],
    [ "Tutorials (code examples)", "a04997.html", [
      [ "How to create your own project using OpenMesh", "a04996.html", null ],
      [ "First Steps - Building a cube", "a04986.html", null ],
      [ "Using iterators and circulators", "a04987.html", null ],
      [ "Using (custom) properties", "a04988.html", null ],
      [ "Using STL algorithms", "a04989.html", null ],
      [ "Using standard properties", "a04990.html", null ],
      [ "Using mesh attributes and traits", "a04991.html", null ],
      [ "Extending the mesh using traits", "a04992.html", null ],
      [ "Deleting geometry elements", "a04993.html", null ],
      [ "Using IO::Options", "a04994.html", null ],
      [ "Storing custom properties", "a04995.html", null ]
    ] ],
    [ "Python Tutorial", "a04981.html", [
      [ "Building the Python Bindings", "a04981.html#python_build", null ],
      [ "Getting Started", "a04981.html#python_start", null ],
      [ "Adding Items to a Mesh", "a04981.html#python_add", null ],
      [ "Iterators and Circulators", "a04981.html#python_iterators", null ],
      [ "Properties", "a04981.html#python_props", null ],
      [ "Property Managers", "a04981.html#python_propman", null ],
      [ "Read and write meshes from files", "a04981.html#python_io", null ],
      [ "Additional Code Examples", "a04981.html#python_examples", null ],
      [ "Python and C++", "a04981.html#python_cpp", null ]
    ] ],
    [ "Additional Information on OpenMesh", "a04967.html", [
      [ "Notes on template programming", "a04968.html", null ],
      [ "Some words on the C++ implementation", "a04970.html", null ],
      [ "Where do I find a list of all member functions ?", "a04974.html", null ],
      [ "Naming Conventions", "a04977.html", null ],
      [ "Some Notes on how to speedup OpenMesh", "a04983.html", null ],
      [ "Changelog", "a04964.html", null ]
    ] ]
];